%{?scl:%scl_package perl-Devel-CheckBin}

Name:		%{?scl_prefix}perl-Devel-CheckBin
Version:	0.02
Release:	3%{?dist}
Summary:	Check that a command is available
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Devel-CheckBin/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TOKUHIROM/Devel-CheckBin-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	%{?scl_prefix}perl
BuildRequires:	%{?scl_prefix}perl(CPAN::Meta)
BuildRequires:	%{?scl_prefix}perl(CPAN::Meta::Prereqs)
BuildRequires:	%{?scl_prefix}perl(File::Basename)
BuildRequires:	%{?scl_prefix}perl(Module::Build)
BuildRequires:	%{?scl_prefix}perl(utf8)
# Module Runtime
BuildRequires:	%{?scl_prefix}perl(Config)
BuildRequires:	%{?scl_prefix}perl(Exporter)
BuildRequires:	%{?scl_prefix}perl(ExtUtils::MakeMaker)
BuildRequires:	%{?scl_prefix}perl(File::Spec)
BuildRequires:	%{?scl_prefix}perl(parent)
BuildRequires:	%{?scl_prefix}perl(strict)
BuildRequires:	%{?scl_prefix}perl(warnings)
# Test Suite
BuildRequires:	%{?scl_prefix}perl(File::Temp)
BuildRequires:	%{?scl_prefix}perl(Test::More) >= 0.98
# Runtime
Requires:	%{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))

%description
Devel::CheckBin is a perl module that checks whether a particular command is
available.

%prep
%setup -q -n Devel-CheckBin-%{version}

%build
%{?scl:scl enable %{scl} '}perl Build.PL --installdirs=vendor && ./Build%{?scl:'}

%install
%{?scl:scl enable %{scl} '}./Build install --destdir=%{buildroot} --create_packlist=0%{?scl:'}

%check
%{?scl:scl enable %{scl} '}./Build test%{?scl:'}

%files
%doc LICENSE
%doc Changes README.md
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::CheckBin.3*

%changelog
* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.02-3
- Perl 5.20 rebuild

* Fri Aug 15 2014 Paul Howarth <paul@city-fan.org> - 0.02-2
- Sanitize for Fedora submission

* Fri Aug 15 2014 Paul Howarth <paul@city-fan.org> - 0.02-1
- Initial RPM version
